/// <reference types="react" />
import { IOptionProps } from '../../@types';
export interface IOptionItemProps<T> {
    /**
     * Defines the option item layout and appearance
     */
    className?: string;
    /**
     * Defines Downshift item props
     */
    getItemProps: (props: any) => any;
    /**
     * Defines option item index for hovered or highlighted
     */
    highlightedIndex: number;
    /**
     * Defines the selected icon & it's appearance
     */
    iconClass?: string;
    /**
     * Defines the order of the option item
     */
    index: number;
    /**
     * Defines the option details for each list item
     */
    option: T;
    /**
     * Defines the selected item
     */
    selected: T;
    /**
     * Defines avatar visibility in each option
     */
    showAvatar?: boolean;
}
export default function AutocompleteItem<T extends IOptionProps>({ className, getItemProps, highlightedIndex, iconClass, index, option, selected, showAvatar, ...rest }: IOptionItemProps<T>): JSX.Element;
//# sourceMappingURL=AutocompleteItem.d.ts.map