import React from 'react';
import { IOptionProps } from '../../@types';
import { IOptionItemProps } from './AutocompleteItem';
export interface IAutocompleteListProps<T> extends Omit<IOptionItemProps<T>, 'option' | 'index'> {
    /**
     * Defines the maximum height of the container for scrolling
     */
    maxHeight?: string;
    /**
     * Defines the list items to be rendered
     */
    options: T[];
    /**
     * Defines the add area when auto complete item not found
     */
    renderAddArea?: (props: any) => React.ReactNode;
    /**
     * Defines the search text value
     */
    searchText?: string;
    /**
     * Defines avatar visibility in each option
     */
    showAvatar?: boolean;
    /**
     * Defines the stack order of element
     */
    zIndex?: string;
}
export default function AutocompleteList<T extends IOptionProps>({ className, getItemProps, highlightedIndex, iconClass, maxHeight, options, searchText, selected, showAvatar, renderAddArea, zIndex, ...other }: IAutocompleteListProps<T>): JSX.Element;
//# sourceMappingURL=AutocompleteList.d.ts.map