import React from 'react';
import { IDialogProps } from '../dialog/Dialog';
export interface IConfirmDialogProps extends IDialogProps {
    /**
     * Defines the hidden state of secondary button
     */
    hideSecondaryBtn?: boolean;
    /**
     * Defines icon bg class.
     */
    iconBgClass?: string;
    /**
     * Defines icon element class.
     */
    iconClass?: string;
    /**
     * Deines icon size in number.
     */
    iconSize?: number;
    /**
     * Defines icon type. Ex. 'font-awesome' or other path name.
     */
    iconType?: string;
    /**
     * Defines on-primary-button-click event.
     */
    onConfirm?(): void;
    /**
     * Defines primary button text.
     */
    primaryBtnText?: string;
    /**
     * Defines secondary button text.
     */
    secondaryBtnText?: string;
    /**
     * Defines title of the dialog.
     */
    title?: React.ReactNode;
    /**
     * Defines variant or type of the confirm dialog.
     */
    variant?: 'primary' | 'warn' | 'danger';
}
declare const ConfirmDialog: ({ children, hideSecondaryBtn, iconBgClass, iconClass, iconSize, iconType, onConfirm, primaryBtnText, secondaryBtnText, onClose, title, variant, ...other }: IConfirmDialogProps) => JSX.Element;
export default ConfirmDialog;
//# sourceMappingURL=ConfirmDialog.d.ts.map