import React from 'react';
export interface IImageAvatarProps extends React.ComponentPropsWithoutRef<'img'> {
    /**
     * Defines position of popover like left or right
     */
    placement?: Placement;
    /**
     * Defines alignment of popover like start, end or center
     */
    align?: Align;
    /**
     * Makes image appear in a cirle.
     */
    isCircled?: boolean;
    /**
     * This defines various size of avatar.
     */
    showPopover?: boolean;
}
export declare type Placement = 'left' | 'right' | 'top' | 'bottom';
export declare type Align = 'start' | 'center' | 'end';
declare const ImageAvatar: React.ForwardRefExoticComponent<IImageAvatarProps & React.RefAttributes<HTMLImageElement>>;
export default ImageAvatar;
//# sourceMappingURL=ImageAvatar.d.ts.map